=== debian/changelog ===
sarg (2.3.10-2) unstable; urgency=medium

  * Use Autoreconf in build.
    Thanks to Edmund Grimley Evans for the patch (Closes: #798038)
  * Make sarg-reports support multiple input log files.
    Thanks to J G Miller <miller@yoyo.org> for the patch (Closes: #818429)
  * Updated debian/watch version
  * Bumped Standards-Version to 3.9.7, no change needed

 -- Luigi Gangitano <luigi@debian.org>  Mon, 28 Mar 2016 00:25:49 +0200

sarg (2.3.10-1) unstable; urgency=medium

  *  New upstream release
     - Includes updated configure generated by autconf 2.69
       (Closes: #744505, #727959)

  * debian/control
    - Replaced dependency on ttf-freefonts with fonts-freefont-ttf
      (Closes: #738247)
    - Bumped Standards-Version to 3.9.6 (no change needed)
    - Added Xs-Vcs-Git tag pointing to collab-maint repository

  * po/*
    - Upgraded gettext help files to 0.19

 -- Luigi Gangitano <luigi@debian.org>  Mon, 10 Aug 2015 17:25:41 +0200
