## sarg 2.3.11

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 CMAKE_MINIMUM_REQUIRED (VERSION 2.6)
 PROJECT(sarg C)
 SET(sarg_VERSION 2)
-SET(sarg_REVISION "3.10")
+SET(sarg_REVISION "3.11")
 SET(sarg_BUILD "")
-SET(sarg_BUILDDATE "Apr-12-2015")
+SET(sarg_BUILDDATE "Jan-14-2018")
 INCLUDE(AddFileDependencies)
 INCLUDE(CheckIncludeFile)
 INCLUDE(CheckLibraryExists)
