=== debian/changelog ===
sarg (2.3.11-1) unstable; urgency=medium

  * New upstream version
     - Fixes FTBFS with GCC 7 (Closes: #853651)
     - Removed gettext patch integrated upstream

  * debian/control
    - Fix man directory (Closes: #850624, thanks to Michael Stapelberg)

  * debian/sarg-reports{,.1,.conf}
    - Added EXCLUDELOG3 filter (Closes: #872425, thanks to Matus UHLAR)
    - Added documentation (Closes: #845455, thanks to rbs1@chardmore.net)
    - Added lastlog options (Closes: #845546, thanks to rbs1@chardmore.net)

  * debian/patches/0002-fix-build-errors.patch
    - Fix more build errors

  * debian/rules
    - Removed autotools-dev debhelper calls

 -- Luigi Gangitano <luigi@debian.org>  Tue, 13 Feb 2018 17:12:57 +0100

sarg (2.3.10-3) unstable; urgency=medium

  * debian/control
    - Change dependency to libgd-dev (Closes: #880782) 

 -- Luigi Gangitano <luigi@debian.org>  Mon, 06 Nov 2017 00:07:31 +0100
