=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: sarg
-Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), autotools-dev, libgd2-noxpm-dev | libgd2-xpm-dev, libldap2-dev
+Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), autotools-dev, libgd-dev, libldap2-dev
 Section: web
 Priority: optional
 Maintainer: Luigi Gangitano <luigi@debian.org>
