=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 INSTALL_DIR     = $(INSTALL) -p -d -o root -g root  -m  755
 
 %:
-	dh  $@ --with autotools-dev
+	dh  $@
 
 override_dh_auto_configure:
 	chmod 755 configure
@@ -23,7 +23,6 @@
 		--infodir=\$${prefix}/share/info \
 		--bindir=/usr/bin \
 		--sysconfdir=/etc/sarg \
-		--mandir=/usr/share/man/man1 \
 		--enable-fontdir=/usr/share/fonts/truetype/ttf-dejavu \
 		--enable-imagedir=/usr/share/sarg/images \
 		--enable-sargphp=/usr/share/sarg
