=== debian/watch ===
version=3
http://sf.net/sarg/sarg-(\d\S*)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
