## sarg 2.4.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,10 @@
 CMAKE_MINIMUM_REQUIRED (VERSION 2.6)
 PROJECT(sarg C)
 SET(sarg_VERSION 2)
-SET(sarg_REVISION "3.11")
+SET(sarg_REVISION "4.0")
 SET(sarg_BUILD "")
-SET(sarg_BUILDDATE "Jan-14-2018")
+SET(sarg_BUILDDATE "Jan-16-2020")
+
 INCLUDE(AddFileDependencies)
 INCLUDE(CheckIncludeFile)
 INCLUDE(CheckLibraryExists)
@@ -48,10 +49,13 @@
        index.c getconf.c usage.c decomp.c ip2name.c ip2name_dns.c
        useragent.c exclude.c convlog.c totday.c repday.c datafile.c
        indexonly.c splitlog.c lastlog.c topsites.c siteuser.c css.c
-       smartfilter.c denied.c authfail.c charset.c dichotomic.c
+       smartfilter.c denied.c authfail.c dichotomic.c
        redirector.c auth.c download.c grepday.c ip2name_exec.c
        dansguardian_log.c dansguardian_report.c realtime.c btree_cache.c
-       usertab.c userinfo.c longline.c url.c)
+       usertab.c userinfo.c longline.c url.c fnmatch.c stringbuffer.c
+       filelist.c readlog.c alias.c
+	   readlog_squid.c readlog_sarg.c readlog_extlog.c readlog_common.c
+	   include/conf.h include/info.h include/defs.h include/stringbuffer.h)
 
 FOREACH(f ${SRC})
    ADD_FILE_DEPENDENCIES(${f} ${CMAKE_BINARY_DIR}/config.h ${CMAKE_SOURCE_DIR}/include/conf.h ${CMAKE_SOURCE_DIR}/include/info.h ${CMAKE_SOURCE_DIR}/include/defs.h)
@@ -114,6 +118,8 @@
 CHECK_INCLUDE_FILE(stdbool.h HAVE_STDBOOL_H)
 CHECK_INCLUDE_FILE(getopt.h HAVE_GETOPT_H)
 CHECK_INCLUDE_FILE(fcntl.h HAVE_FCNTL_H)
+CHECK_INCLUDE_FILE(fnmatch.h HAVE_FNMATCH_H)
+CHECK_INCLUDE_FILE(glob.h HAVE_GLOB_H)
 
 IF(!HAVE_GETOPT_H)
    MESSAGE(SEND_ERROR "getopt.h is required to compile sarg")
@@ -124,9 +130,11 @@
 
 # Windows need lib wsock32 and ws2_32
 IF(CMAKE_SYSTEM_NAME STREQUAL "Windows")
+   CHECK_INCLUDE_FILE(winsock2.h HAVE_WINSOCK2_H)
    CHECK_INCLUDE_FILE(windows.h HAVE_WINDOWS_H)
    CHECK_INCLUDE_FILE(winsock.h HAVE_WINSOCK_H)
    CHECK_INCLUDE_FILE(ws2tcpip.h HAVE_WS2TCPIP_H)
+   CHECK_INCLUDE_FILE(direct.h HAVE_DIRECT_H)
 
    FIND_LIBRARY(WSOCK_LIB NAMES wsock32 DOC "The winsock library")
    IF(WSOCK_LIB)
@@ -143,13 +151,13 @@
    ADD_DEFINITIONS(-DWINDOWS)
 ENDIF(CMAKE_SYSTEM_NAME STREQUAL "Windows")
 
-CHECK_FUNCTION_EXISTS(bzero HAVE_BZERO)
 CHECK_FUNCTION_EXISTS(backtrace HAVE_BACKTRACE)
 CHECK_FUNCTION_EXISTS(symlink HAVE_SYMLINK)
 CHECK_FUNCTION_EXISTS(lstat HAVE_LSTAT)
 CHECK_FUNCTION_EXISTS(getnameinfo HAVE_GETNAMEINFO)
 CHECK_FUNCTION_EXISTS(getaddrinfo HAVE_GETADDRINFO)
 CHECK_FUNCTION_EXISTS(inet_aton HAVE_INET_ATON)
+CHECK_FUNCTION_EXISTS(fnmatch HAVE_FNMATCH)
 
 CHECK_STRUCT_HAS_MEMBER("struct sockaddr_storage" ss_len sys/socket.h HAVE_SOCKADDR_SA_LEN)
 
@@ -303,12 +311,3 @@
    ELSEIF(RLIM_T STREQUAL 8)
       SET(RLIM_STRING "%lli")
    ELSE(RLIM_T STREQUAL 4)
-      MESSAGE("Unknown rlim_t size")
-   ENDIF(RLIM_T STREQUAL 4)
-#ELSE(HAVE_RLIM_T)
-#   MESSAGE("Cannot detect the size of your system's rlim_t type")
-ENDIF(HAVE_RLIM_T)
-
-CHECK_FUNCTION_EXISTS(mkstemp HAVE_MKSTEMP)
-IF(NOT HAVE_MKSTEMP)
-   # MingW provide mkstemps in libiberty but doesn't declare it in any header file
