=== debian/changelog ===
sarg (2.4.0-4) unstable; urgency=medium

  [ Fabio Augusto De Muzio Tobich ]
  * debian/clean: created to clean some left overs after build.
    (Closes: #1045320)
  * debian/control: Bumped Standards-Version to 4.7.0.
  * debian/copyright: updated packaging years.
  * debian/patches/:
      - 0006-fix-macro-not-defined-and-typo-in-manpage.patch: added.
      - 0007-fix-several-typos.patch: added.
      - series: updated.
  * debian/sarg.lintian-overrides: added to silence a false positive.
  * debian/undocumented: removed, wasn't needed.
  * debian/watch: fix upstream version numbers.

  [ Debian Janitor ]
  * Fix day-of-week for changelog entries 2.2.3.1-3, 2.2.3.1-2, 1.4.patch1-1,
    1.2.1-4, 1.2.1-3, 1.2.1-2, 1.2.0-0beta2-4.
  * Avoid explicitly specifying -Wl,--as-needed linker flag.

 -- Fabio Augusto De Muzio Tobich <ftobich@debian.org>  Fri, 19 Jul 2024 00:20:00 -0300

sarg (2.4.0-3) unstable; urgency=medium

  * debian/control: changed Rules-Requires-Root field from 'no' to
    'binary-targets'.

 -- Fabio Augusto De Muzio Tobich <ftobich@debian.org>  Wed, 28 Sep 2022 16:02:16 -0300

sarg (2.4.0-2) unstable; urgency=medium

  [ Fabio Augusto De Muzio Tobich ]
  * New maintainer.
    Many thanks to Luigi Gangitano, first of all for his excellent work with
    sarg over the years and also for his trust in allowing me to continue the
    work from now on.
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control:
          - Changed from 'debhelper' to 'debhelper-compat' in Build-Depends
            field and bumped level to 13.
          - Dropped unnecessary dependencies in Build-Depends field.
  * debian/control:
      - Added Homepage field.
      - Added Rules-Requires-Root: no.
      - Bumped Standards-Version to 4.6.1.
  * debian/copyright:
      - Migrated to 1.0 format.
      - Updated all data.
  * debian/dirs: removed empty directory.
  * debian/patches/:
      - 0004-fix-format-security.patch: added to fix format truncation error.
        Thanks to Matthias Klose. (Closes: #966848)
      - 0005-fix-multiple-include-conf.patch: added to fix FTBFS with GCC 10.3.
        Thanks to Sergio Durigan Junior.
  * debian/rules: removed unnecessary lines.
  * debian/salsa-ci.yml: added to provide CI tests for Salsa.
  * debian/upstream/metadata: created.
  * debian/watch: bumped version to 4.

  [ Olivier Tilloy ]
  * Update runtime dependency on the transitional dummy ttf-dejavu-core (which
    was dropped from unstable) to fonts-dejavu-core. (Closes: #962200)
    Consequently:
      - debian/control: replaced ttf-dejavu-core to fonts-dejavu-core in
        Depends field.
      - debian/rules: replaced path in --enable-fontdir on
        override_dh_auto_configure from '.../ttf-dejavu' to '.../dejavu'.
      - debian/sarg.conf: updated graph_font field path from '.../ttf-dejavu'
        to '.../dejavu'.

 -- Fabio Augusto De Muzio Tobich <ftobich@debian.org>  Wed, 28 Sep 2022 14:40:49 -0300

sarg (2.4.0-1) unstable; urgency=medium

  * New upstream version 2.4.0
    - Fixes local privilege escalation vulnerability (Closes: #951390)
      (Ref: CVE-2019-18932)
    - Fixes FTBFS with gcc-8 (Closes: #897855)

  * debian/control
    - Remove Xs-Vcs-Git field
    - Bumped Standards-Version to 4.5.0 (no change needed)

  * debian/patches/0003-Fix-FTCBFS.patch
    - Fix FTCBFS, thanks to Helmut Grohne (Closes: #940124)

 -- Luigi Gangitano <luigi@debian.org>  Mon, 24 Feb 2020 00:27:10 +0100

sarg (2.3.11-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces
  * d/control: Remove trailing whitespaces
  * d/control: Add Vcs-* field
  * d/watch: Use https protocol

 -- Luigi Gangitano <luigi@debian.org>  Thu, 20 Feb 2020 00:31:31 +0100
