=== debian/control ===
Source: sarg
Section: web
Priority: optional
Maintainer: Fabio Augusto De Muzio Tobich <ftobich@debian.org>
Build-Depends: debhelper-compat (= 13),
               libgd-dev,
               libldap2-dev
Standards-Version: 4.7.0
Rules-Requires-Root: binary-targets
Homepage: https://sourceforge.net/projects/sarg/
Vcs-Browser: https://salsa.debian.org/debian/sarg
Vcs-Git: https://salsa.debian.org/debian/sarg.git

Package: sarg
Architecture: any
Replaces: sqmgrlog
Depends: ${shlibs:Depends}, ${misc:Depends}, fonts-dejavu-core | fonts-freefont-ttf
Suggests: squid, httpd | apache2, squidguard, libapache2-mod-php5
Conflicts: sqmgrlog
Description: squid analysis report generator
 Sarg is a Squid Analysis Report Generator that allow you to view "where"
 your users are going to on the Internet. Sarg generate reports in html,
 with many fields, like: users, IP Addresses, bytes, sites and times.
