=== debian/rules ===
--- 
+++ 
@@ -1,11 +1,7 @@
 #!/usr/bin/make -f
-# Uncomment this to turn on verbose mode.
-#export DH_VERBOSE=1
-#export DH_OPTIONS=-v
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 INSTALL = install
 INSTALL_FILE    = $(INSTALL) -p    -o root -g root  -m  644
@@ -23,11 +19,9 @@
 		--infodir=\$${prefix}/share/info \
 		--bindir=/usr/bin \
 		--sysconfdir=/etc/sarg \
-		--enable-fontdir=/usr/share/fonts/truetype/ttf-dejavu \
+		--enable-fontdir=/usr/share/fonts/truetype/dejavu \
 		--enable-imagedir=/usr/share/sarg/images \
 		--enable-sargphp=/usr/share/sarg
-
-
 
 override_dh_auto_install:
 	dh_auto_install
@@ -52,5 +46,3 @@
 	chmod 755 debian/sarg/etc/cron.daily/sarg
 	chmod 755 debian/sarg/etc/cron.weekly/sarg
 	chmod 755 debian/sarg/etc/cron.monthly/sarg
-
-
