=== debian/watch ===
version=4
opts=uversionmangle=s/-pre/~pre/ \
https://sf.net/sarg/sarg-(\d\S*)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
